<chapter id="installation">
<title
>Installation </title>

<epigraph>
<attribution
>Linus Torvalds, after finding one of his file systems smashed by a
new Beta kernel</attribution>
<para
>Core dumping fsck's tend to make me nervous</para>
</epigraph>

<para
>Ta det lugnt! Även om användning av en del betaprogramvara kan orsaka mycket sorg, är det inte troligt att din hårddisk förstörs av att installera KDE. I själva verket är det här kapitlet avsett att guida dig igenom installationsprocessen så att du kan ta en titt på ditt nya skrivbord så snabbt (och med så lite bekymmer) som möjligt. Som vid alla installationer av nya fönsterhanterare, rekommenderas du att säkerhetskopiera alla dina X11-specifika konfigurationsfiler innan du börjar installera. Om du inte vet exakt var de finns, försök med alla de dolda filerna (<filename
>.*</filename
>) i din hemkatalog och katalogen <filename
>/usr/X11/lib/X11/xdm</filename
>. </para
> 

<sect1 id="requirements">
<title
>Krav </title>

<para
>Innan du installerar KDE, försäkra dig om att ditt system uppfyller följande krav: </para>

<itemizedlist
> <listitem
><para
>Ett fungerande Unix-system som uppfyller POSIX-standarden. Unix-system som vi vet fungerar med KDE innefattar: FreeBSD, Solaris, HP-UX, och MkLinux. Vi arbetar med att göra KDE tillgängligt för fler plattformar snart. </para
></listitem
> <listitem
><para
>Lite ledigt hårddiskutrymme på partitionen där <filename
>/opt/kde</filename
> kommer att skapas. Vi rekommenderar att du reserverar mer än 50 Mibyte om ditt system stöder delade bibliotek, och väsentligt mycket mer om det inte gör det. Om du behöver eller vill bygga KDE från källkodsträdet, kom ihåg att reservera omkring 100 Mibyte i <filename
>/usr/src</filename
>.</para
></listitem
> <listitem
><para
>Ett fungerande X11-system med eller utan <application
>xdm</application
>. Om du inte har installerat X-Window systemet än, kontrollera först om det finns en version som kan installeras med din Unix-installation. Om du inte hittar en version som fungerar, besök <ulink url="http://www.xfree86.org"
>XFree86 webbsida</ulink
> för mer information om hur man skaffar och installerar X-Window-systemet, eller kontakta din Unix-leverantör. </para
></listitem
> <listitem
><para
>Qt-biblioteken, version 3.0.2. Du kan skaffa dem på <ulink url="ftp://ftp.troll.no/pub/qt"
>Troll Techs FTP-server</ulink
> i tgz-format. </para
> </listitem
> </itemizedlist>

<warning
><para
>En varning innan du startar: Innan du uppdaterar från en tidigare version av KDE, rekommenderar vi att du gör följande:</para>

<screen
> 
<command
>cd <filename
>/opt/kde</filename
></command
> 
<command
>tar <option
>cfvz <replaceable
>~/KDE-gammal-version-kopia.tar.gz</replaceable
> * </option
></command>
</screen>
</warning>

</sect1>

<sect1 id="linux-installing-rpms">
<title
>Linux: Installera RPM-paket för RedHat, Caldera och Suse.</title>

<para
>Att använda RPM-paket är det lättaste sättet att få igång KDE. Besök bara en KDE-spegelserver och titta i katalogen <filename
>/pub/kde/stable/distribution/rpm</filename
>. Där ser du kataloger för olika operativsystem. För närvarande stöds arkitekturerna i386, alpha och sparc. RPM-paketen finns också på Red Hat-platser som sunsite.unc.edu eller ftp.redhat.com. </para>

<para
>Det grundläggande systemet består av filerna <filename
>kde-<replaceable
>komponent</replaceable
>.<replaceable
>arkitektur</replaceable
>.rpm</filename
> Du behöver åtminstone kdesupport, kdelibs och kdebase. Efter att ha skaffat den grundläggande distributionen, ladda gärna hem alla andra RPM-paket som du tror kan vara bra att ha. </para>

<para
>Därefter, börja installera med de grundläggande paketen. Om du installerar KDE för första gången, använd </para>

<screen
> 
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdesupport.ark.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdelibs.ark.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdebase.ark.rpm</filename
></userinput>
</screen>
 
<important
><para
>Det är viktigt att de här komponenterna installeras i samma ordning som visas, och att de installeras innan någon annan KDE-komponent.</para
></important>

<para
>Om du uppdaterar från en tidigare utgåva, försök med <screen
> 
<userinput
><command
>rpm</command
> <option
>-Uvh</option
> <filename
>kde-<replaceable
>komponent</replaceable
>.<replaceable
>ark</replaceable
>.rpm</filename
></userinput>
</screen
> </para>

<para
>Igen, ordningen som anges ovan ska behållas, och de angivna komponenterna ska installeras innan någon annan KDE-komponent.</para>

<para
>Det här packar upp den grundläggande distributionen och installerar den i den förvalda katalogen <filename
>/opt/kde</filename
>.</para>

<para
>Om installationen av de grundläggande paketen lyckades, kan du installera de återstående paketen på samma sätt (återigen använd <option
>-Uvh</option
> istället för <option
>-i</option
> för att uppdatera en existerande version). </para>

</sect1>

<sect1 id="installing-debian">
<title
>Linux: Installera <acronym
>DEB</acronym
>:s för debian</title>

<para
>Installationen för ett Debian-system är också ganska rättfram. Du hittar bara KDE 2.0-paket för Debian 2.2 (Potato) och 3.0 (Woody). Här beskriver vi hur man installerar paketen för Debian 2.2, som är den stabila versionen, eftersom Debian 3.0 fortfarande utvecklas. Hursomhelst är installationen nästan identisk för de båda versionerna. Den huvudsakliga skillnaden är att KDE ingår officiellt i Debian 3.0 och du behöver inte ange någon speciell plats för att hitta deb-paketen för KDE.</para>

<para
>Det första steget är att tala om för ditt system var det kan hitta KDE:s deb-paket. En lista av platser för Debian-paket finns på din hårddisk i <filename
>/etc/apt/sources.list</filename
>. Du ska lägga till följande rad i den filen: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
></para>

 
<para
>Därefter måste du uppdatera din lokala paketdatabas så att ditt system vet att det finns nya paket tillgängliga. Skriv följande kommando:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>update</option
></userinput>
</screen>
 
<para
>Till slut ska du installera KDE:s grundläggande komponenter. Det här gör du genom att skriva:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
</screen>
 
<para
>Om du vill installera andra komponenter kan du prova med några eller alla av de här kommandona:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput>
</screen>

<para
>Du kanske också är intresserad av att installera ditt språk.</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install
kde-i18n-<replaceable
>xx</replaceable
></option
></userinput>
 </screen>
<para
>där <replaceable
>xx</replaceable
> måste ersättas med landskoden.</para>

<para
>Kontrollfilerna för en del KDE-program läggs i <filename class="directory"
>/etc/kde2</filename
>, de körbara filerna hamnar i <filename class="directory"
>/usr/bin</filename
> och de flesta andra filer i <filename class="directory"
>/usr/share</filename
> i olika kataloger. </para>

<para
>Om du uppdaterar från en tidigare version av KDE ska du utföra följande steg. Uppdatera först filen <filename
>/etc/apt/sources.list</filename
> genom att byta raden med platsen för KDE-paketen mot raden: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
>. Uppdatera därefter din paketdatabas:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>update</option
></userinput>
</screen>
 
<para
>Installera till sist KDE:s grundläggande paket:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>dist-upgrade</option
></userinput>
</screen>
 
<para
> Om du vill installera fler KDE-komponenter prova några eller alla av de här kommandona.</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput>
</screen>

</sect1>

<sect1 id="source-distribution">
<title
>Använda källkodskompilering för att installera över andra system </title>

<para
>Om din Linux-distribution inte har ett RPM- eller DEB-arkivformat, eller om du inte använder Linux alls, måste du kompilera KDE själv. I framtiden planerar vi att tillhandahålla en binär distribution som innehåller ett eget installationsprogram. </para>

<para
>För att kunna kompilera och installera KDE korrekt, behöver du följande saker installerade på din hårddisk: </para>

<itemizedlist
> <listitem
><para
>En ANSI-C-kompilator, <abbrev
>t.ex.</abbrev
> <abbrev
>GNU</abbrev
> C-kompilatorn. </para
></listitem
> <listitem
><para
>En ANSI-C++-kompilator, <abbrev
>t.ex.</abbrev
> <abbrev
>GNU</abbrev
> C++. </para
></listitem
> <listitem
><para
>Verktyget <application
>make</application
>. </para
></listitem
> <listitem
><para
>Qt utvecklingsversion 2.2 eller senare.</para
></listitem
> <listitem
><para
>X11 utvecklingsversion (include-filer saknas ofta) </para
></listitem
> </itemizedlist>

<para
>När du väl har alla hjälpprogram som behövs, gå till din favoritspegelserver för KDE och hämta följande filer från katalogen <filename
>/pub/kde/stable/<replaceable
>senaste version</replaceable
></filename
>:</para>

<itemizedlist
> <listitem
><para
><filename
>kdesupport-<replaceable
>version</replaceable
>.tar.gz</filename
></para
></listitem
> <listitem
><para
><filename
>kdelibs-<replaceable
>version</replaceable
>.tar.gz</filename
> </para
></listitem
> <listitem
><para
><filename
>kdebase-<replaceable
>version</replaceable
>.tar.gz</filename
></para
></listitem
> <listitem
><para
>alla övriga paket som du vill installera. Vi råder dig att hämta åtminstone kdeutils. </para
></listitem
> </itemizedlist>

<para
>I alla ovannämnda fall, står <replaceable
>version</replaceable
> för det nuvarande versionsnumret. När du har laddat ner allt du behöver, packa då upp filerna i <filename
>/usr/src</filename
>. Den här processen ska resultera i följande katalogstruktur:</para>

<itemizedlist
> <listitem
><para
><filename
>/usr/src/kdesupport</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/kdelibs</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/kdebase</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/...</filename
> (alla andra paket)</para
></listitem
> </itemizedlist>

<para
>Kontrollera att du har skrivbehörighet till <filename
>/opt/kde</filename
>.</para>

<para
>Därefter måste du kompilera och installera paketen enligt följande: </para>

<procedure
> <step
><para
><command
>cd</command
> till katalogen med det paket som du vill installera (se ovan)</para
></step
> <step
><para
><command
>./configure</command
> (med de argument som du vill ange)</para
></step
> <step
><para
><command
>make</command
></para
></step
> <step
><para
><command
>make install</command
></para
></step
> </procedure>

<para
>Applicera de ovanstående stegen för varje paket som du vill installera.</para>

<note
><para
>De här instruktionerna kan användas för nästan alla tillgängliga källkodspaket, inte bara KDE-paket. </para
></note>

<para
>Varje configure-skript har flera alternativ tillgängliga. En del är gemensamma för alla paket, medan andra är speciella för ett individuellt paket. Det som följer är en del av resultatet av kommandot <command
>configure <option
>--help</option
></command
> i kdelibs:</para>

<screen>
<computeroutput>
  --disable-fast-perl     disable fast Makefile generation (needs perl)
  --enable-debug          creates debugging code [default=no]
  --enable-strict         compiles with strict compiler options (may not work!)
  --enable-profile        creates profiling infos [default=no]
  --enable-final          build size optimized apps (experimental - needs lots of memory)
  --disable-closure       don't delay template instantiation
  --enable-shared[=PKGS]  build shared libraries [default=yes]
  --enable-static[=PKGS]  build static libraries [default=no]
  --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
  --disable-libtool-lock  avoid locking (might break parallel builds)
  --with-pic              try to use only PIC/non-PIC objects [default=use both]
  --with-extra-includes=DIR
                          adds non standard include paths
  --with-extra-libs=DIR   adds non standard library paths
  --with-qt-dir=DIR       where the root of Qt is installed
  --with-qt-includes=DIR  where the Qt includes are.
  --with-qt-libraries=DIR where the Qt library is installed.
  --disable-rpath         do not use the rpath feature of ld
  --disable-path-check    don't try to find out, where to install
  --with-xdmdir           If the xdm config dir can't be found automaticly
  --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
  --with-shadow           If you want shadow password support
  --with-krb4[=PATH]      Compile in Kerberos v4 support.
  --with-afs              Compile in AFS support (requires KTH krb4).
  --with-ldap[=PATH]      Compile in LDAP support.
  --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
  --without-gl            disable 3D GL modes
  --without-xpm           disable color pixmap XPM tests
  --without-dpms          disable DPMS power saving
  --with-x                use the X Window System
  --with-motif-includes=DIR    Motif include files are in DIR
  --with-motif-libraries=DIR   Motif libraries are in DIR                           
</computeroutput>
</screen>

<para
>Flera alternativ behövs inte och är bara användbara som sätt att komma runt kända problem (<abbrev
>t.ex.</abbrev
> <option
>--disable-FUNKTION</option
>). Eftersom vissa är viktiga alternativ, såsom <emphasis
>--with-shadow</emphasis
>, bör du alltid kontrollera de tillgängliga alternativen.</para>

<para
>Ett viktigt alternativ är <option
>--prefix</option
>. Det här alternativet anger sökvägen där configure ska installera (för kdesupport och kdelibs) eller var biblioteken kan hittas (för övriga paket). Normalt tittar configure i <filename
>/opt/kde</filename
>. Om du vill installera KDE i <filename
>/usr/local/kde</filename
>, måste du använda <command
>configure <option
>--prefix /usr/local/kde</option
></command
>.</para>

<para
>Om du har installerat Qt-biblioteken på ett ovanligt ställe, såsom i <filename
>$HOME/src/qt</filename
>, måste du använda  <command
>configure <option
>--with-qt-dir=$HOME/src/qt</option
></command
>. Normalt tittar configure på de vanligaste platserna efter Qt innan det ger upp.</para>

<para
>Om du har problem som du inte lyckas lösa, skicka en kopia av filen <filename
>config.log</filename
> till adressen i filen <filename
>README</filename
> i paketet som inte fungerar.</para>

<para
>Du måste installera KDE i följande ordning: kdesupport, kdelibs, och sedan programpaketen (till exempel kdebase). Alla programpaket ska bara bero på kdelibs, så du kan kompilera dem samtidigt (om du har en kraftfull maskin).</para>

<para
>Om du vill utnyttja ett multiprocessorsystem, försök med <command
>make <option
> -j <replaceable
>antal processorer</replaceable
></option
></command
> istället för <command
>make</command
>. </para>

<sect2>
<title
>Plattformsspecifika noter </title>

<sect3>
<title
>Linux </title>

<para
>För Linux finns de flesta verktyg som behövs för att bygga KDE antingen på <ulink url="ftp://sunsite.unc.edu/pub/Linux/GCC"
>ftp://sunsite.unc.edu/pub/Linux/GCC</ulink
> eller <ulink url="ftp://sunsite.unc.edu/pub/GNU"
>ftp://sunsite.unc.edu/pub/GNU</ulink
>. Qt-biblioteken finns på <ulink url="ftp://ftp.troll.no/pub/qt/linux"
>ftp://ftp.troll.no/pub/qt/linux</ulink
>, och är tillgängliga i källkodsform eller i RPM-format för Linux. Båda innehåller detaljerade instruktioner om hur de ska installeras. Include-filer för X11-program ska finnas på <ulink url="ftp://ftp.xfree86.org"
>ftp://ftp.xfree86.org</ulink
> i avsnittet xdevel. </para>

</sect3>
</sect2>
</sect1>

<sect1 id="suse-install">
<title
>Nödvändiga ändringar i dina konfigurationsfiler </title>
<para
> Efter du har lagt KDE:s binärfiler i sina målkataloger, finns det ett antal justeringar du måste göra i dina uppstartsskript. </para>
<para
> Följande procedur har provats på Suse Linux 5.0, och bör fungera med de andra populära Unix-systemen också. <emphasis
>Gör alltid säkerhetskopior av konfigurationsfiler innan du ändar dem!</emphasis
> Lägg till följande i slutet på din /etc/profile: </para>
<para
> <screen
>export PATH=$PATH:/opt/kde/bin 
export KDEDIR=/opt/kde
</screen
> </para>
<para
>Redigera därefter .xinitrc-filen i din hemkatalog. Leta efter raden som anropar din fönsterhanterare och byt den mot <literal
>startkde</literal
>.</para>
<para
>Nu när allt som behövs för att använda KDE har installerats, kan du fortsätta med kapitel 4, där du startar KDE för första gången. Om något går fel, kan du behöva kompilera KDE själv. Läs <emphasis
> <link linkend="source-distribution"
>att använda källkodskompilering för att installera över andra system</link
> </emphasis
>för mer information. </para>
<para
>Vi har gjort installationen så säker som möjligt, så du bör inte stöta på några allvarliga problem om din konfiguration inte är exotisk. Om du råkar ut för svårigheter tveka inte att använda <link linkend="mailing-lists"
>KDE:s e-postlistor</link
> </para>
</sect1>
</chapter>

